Name: ca_DFN-GridGermany-Server
Version: 1.26
Release: 1
Source: ca_DFN-GridGermany-Server-1.26.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_DFN-GridGermany-Server-1.26/fe102e03.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority DFN-GridGermany-Server

%if %([ -n "http://www.pca.dfn.de/dfn-pki/certification/x509/grid/g1/ca-server/g1/data/html/cacert.html" ] && echo 1 || echo 0)
URL: http://www.pca.dfn.de/dfn-pki/certification/x509/grid/g1/ca-server/g1/data/html/cacert.html
%endif

%if %([ -n "ca_DFN-GridGermany-Root = 1.26" ] && echo 1 || echo 0)
Requires: ca_DFN-GridGermany-Root = 1.26
%endif

%prep
%setup -n ca_DFN-GridGermany-Server-1.26

%description
This is the trust anchor for the classic accredited authority DFN-GridGermany-Server.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr fe102e03.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

